package videostore;

// 10.3

public abstract class Prezzo {
    abstract int getCodicePrezzo();

    public double getAmmontare(int giorniNoleggio) {
	double risultato = 0;
	// ammontare per ogni noleggio
	switch (getCodicePrezzo()) {
	case Film.REGOLARE:
	    risultato += 2;
	    if (giorniNoleggio > 2)
		risultato += (giorniNoleggio - 2) * 1.5;
	    break;
	case Film.NOVITA:
	    risultato += giorniNoleggio * 3;
	    break;
	case Film.BAMBINI:
	    risultato += 1.5;
	    if (giorniNoleggio > 3)
		risultato += (giorniNoleggio - 3) * 1.5;
	    break;
	}
	return risultato;
    }
}
