package videostore;
import java.util.*;

// 6.0
public class Cliente {
    private String _nome;
    private List _noleggi = new ArrayList();

    public Cliente (String nome) {
	_nome = nome;
    }

    public void addNoleggio(Noleggio arg) {
	_noleggi.add(arg);
    }
    
    public String getNome(){
	return _nome;
    }

    public String rendiconto() {
	double ammontareTotale = 0;
	int puntiNoleggiFrequenti = 0;
	Iterator noleggi = _noleggi.iterator();
	String r = "Rendiconto noleggi per " + getNome() + "\n";
	while (noleggi.hasNext()) {
	    Noleggio ognuno = (Noleggio) noleggi.next();
	    
	    puntiNoleggiFrequenti += incrementoPuntiNoleggiFrequenti(ognuno);
	    // aggiungi al risultato
	    r += "\t" + ognuno.getFilm().getTitolo() + "\t" + 
		 String.valueOf(ognuno.getAmmontare()) + "\n";
	    ammontareTotale += ognuno.getAmmontare();
	} // while

	// aggiungi pie' di pagina
	r += "L'ammontare dovuto e' " + String.valueOf(ammontareTotale) + "\n";
	r += "Hai guadagnato " + String.valueOf(puntiNoleggiFrequenti) + 
	     " punti per noleggi frequenti\n";
	return r;
    }

    private int incrementoPuntiNoleggiFrequenti(Noleggio ognuno) {
	if ((ognuno.getFilm().getCodicePrezzo() == Film.NOVITA) &&
	    ognuno.getGiorniNoleggio() > 1)
	    return 2;
	else
	    return 1;
    }
}
